Copy page

Copy page as Markdown for LLMs

View as Markdown

View this page as plain text


Open in ChatGPT

Ask ChatGPT about this page

Open in Claude

Ask Claude about this page

Transit House

The Transit House API calculates the house-wise placement of transiting planets for a given month and time window, based on natal birth details and a specified transit date and time.


API Endpoint

POST https://astroapi-4.divineapi.com/western-api/v1/transit/house

Headers

NameTypeDescription
Authorization*Stringyour API Access Token (eg: Bearer {token})

Request Body

NameTypeDescription
api_key*StringYour API key {{api_key}}
full_name*StringFull name of the user Rahul Kumar
gender*StringGender of the user male
day*IntegerBirth day 3
month*IntegerBirth month 11
year*IntegerBirth year 2025
hour*IntegerBirth hour (24-hour format) 4
min*IntegerBirth minutes 47
sec*IntegerBirth seconds 56
place*StringBirth place New Delhi, India
lat*FloatBirth latitude 28.7041
lon*FloatBirth longitude 77.1025
tzone*FloatBirth timezone (decimal) 5.5
transit_day*IntegerTransit day 5
transit_month*IntegerTransit month 8
transit_year*IntegerTransit year 2021
transit_hour*IntegerTransit hour (24-hour format) 4
transit_min*IntegerTransit minutes 56
transit_sec*IntegerTransit seconds 45
transit_place*StringTransit place New Delhi, India
transit_lat*FloatTransit latitude 28.7041
transit_lon*FloatTransit longitude 77.1025
transit_tzone*FloatTransit timezone (decimal) 5.5

200: OK Transit House Details fetched successfully

{
    "success": 1,
    "data": [
        {
            "transit_planet": "Ascendant",
            "transit_house": 10
        },
        {
            "transit_planet": "Sun",
            "transit_house": 10
        },
        {
            "transit_planet": "Moon",
            "transit_house": 9
        },
        {
            "transit_planet": "Mars",
            "transit_house": 11
        },
        {
            "transit_planet": "Mercury",
            "transit_house": 10
        },
        {
            "transit_planet": "Venus",
            "transit_house": 11
        },
        {
            "transit_planet": "Jupiter",
            "transit_house": 5
        },
        {
            "transit_planet": "Saturn",
            "transit_house": 4
        },
        {
            "transit_planet": "North node",
            "transit_house": 8
        },
        {
            "transit_planet": "South node",
            "transit_house": 2
        },
        {
            "transit_planet": "Uranus",
            "transit_house": 7
        },
        {
            "transit_planet": "Neptune",
            "transit_house": 6
        },
        {
            "transit_planet": "Pluto",
            "transit_house": 4
        },
        {
            "transit_planet": "MC",
            "transit_house": 7
        },
        {
            "transit_planet": "Vertex",
            "transit_house": 2
        },
        {
            "transit_planet": "Chiron",
            "transit_house": 6
        },
        {
            "transit_planet": "Part of fortune",
            "transit_house": 11
        },
        {
            "transit_planet": "Lilith",
            "transit_house": 8
        }
    ]
}

Example Code Implementations

Below are example implementations in various programming environments.


cURL

curl --location 'https://astroapi-4.divineapi.com/western-api/v1/transit/house' \
--header 'Authorization: Bearer {token}' \
--form 'api_key="Your API Key"' \
--form 'full_name="Rahul Kumar"' \
--form 'gender="male"' \
--form 'day="3"' \
--form 'month="11"' \
--form 'year="2025"' \
--form 'place="New Delhi, India"' \
--form 'lat="28.7041"' \
--form 'lon="77.1025"' \
--form 'tzone="5.5"' \
--form 'hour="4"' \
--form 'min="47"' \
--form 'sec="56"' \
--form 'transit_day="5"' \
--form 'transit_month="8"' \
--form 'transit_year="2021"' \
--form 'transit_hour="4"' \
--form 'transit_min="56"' \
--form 'transit_sec="45"' \
--form 'transit_lat="28.7041"' \
--form 'transit_lon="77.1025"' \
--form 'transit_tzone="5.5"' \
--form 'transit_place="New Delhi, India"'

NodeJS

var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://astroapi-4.divineapi.com/western-api/v1/transit/house',
  'headers': {
    'Authorization': 'Bearer {token}'
  },
  formData: {
    'api_key': 'Your API Key',
    'full_name': 'Rahul Kumar',
    'gender': 'male',
    'day': '3',
    'month': '11',
    'year': '2025',
    'place': 'New Delhi, India',
    'lat': '28.7041',
    'lon': '77.1025',
    'tzone': '5.5',
    'hour': '4',
    'min': '47',
    'sec': '56',
    'transit_day': '5',
    'transit_month': '8',
    'transit_year': '2021',
    'transit_hour': '4',
    'transit_min': '56',
    'transit_sec': '45',
    'transit_lat': '28.7041',
    'transit_lon': '77.1025',
    'transit_tzone': '5.5',
    'transit_place': 'New Delhi, India'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

JavaScript jQuery AJAX

var form = new FormData();
form.append("api_key", "Your API Key");
form.append("full_name", "Rahul Kumar");
form.append("gender", "male");
form.append("day", "3");
form.append("month", "11");
form.append("year", "2025");
form.append("place", "New Delhi, India");
form.append("lat", "28.7041");
form.append("lon", "77.1025");
form.append("tzone", "5.5");
form.append("hour", "4");
form.append("min", "47");
form.append("sec", "56");
form.append("transit_day", "5");
form.append("transit_month", "8");
form.append("transit_year", "2021");
form.append("transit_hour", "4");
form.append("transit_min", "56");
form.append("transit_sec", "45");
form.append("transit_lat", "28.7041");
form.append("transit_lon", "77.1025");
form.append("transit_tzone", "5.5");
form.append("transit_place", "New Delhi, India");

var settings = {
  "url": "https://astroapi-4.divineapi.com/western-api/v1/transit/house",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {token}"
  },
  "processData": false,
  "mimeType": "multipart/form-data",
  "contentType": false,
  "data": form
};

$.ajax(settings).done(function (response) {
  console.log(response);
});

Python

import requests

url = "https://astroapi-4.divineapi.com/western-api/v1/transit/house"

payload = {'api_key': 'Your API Key',
'full_name': 'Rahul Kumar',
'gender': 'male',
'day': '3',
'month': '11',
'year': '2025',
'place': 'New Delhi, India',
'lat': '28.7041',
'lon': '77.1025',
'tzone': '5.5',
'hour': '4',
'min': '47',
'sec': '56',
'transit_day': '5',
'transit_month': '8',
'transit_year': '2021',
'transit_hour': '4',
'transit_min': '56',
'transit_sec': '45',
'transit_lat': '28.7041',
'transit_lon': '77.1025',
'transit_tzone': '5.5',
'transit_place': 'New Delhi, India'}
files=[

]
headers = {
  'Authorization': 'Bearer {token}'
}

response = requests.request("POST", url, headers=headers, data=payload, files=files)

print(response.text)

Implementation Notes

Use Authorization: Bearer {Your Auth Token} and {Your API Key} securely; never expose them in client-side code.

Provide date, time, and coordinates in correct numeric formats; use decimal timezone values (e.g., 5.5).

Check HTTP status codes, log responses, and handle 4xx/5xx errors gracefully.

Example Code
curl -X POST "https://astroapi-4.divineapi.com/western-api/v1/transit/house" \
  -H "Authorization: Bearer {token}" \
  --form 'api_key="Your API Key"' \
  --form 'full_name="Rahul Kumar"' \
  --form 'gender="male"' \
  --form 'day="3"' \
  --form 'month="11"' \
  --form 'year="2025"' \
  --form 'place="New Delhi, India"' \
  --form 'lat="28.7041"' \
  --form 'lon="77.1025"' \
  --form 'tzone="5.5"' \
  --form 'hour="4"' \
  --form 'min="47"' \
  --form 'sec="56"' \
  --form 'transit_day="5"' \
  --form 'transit_month="8"' \
  --form 'transit_year="2021"' \
  --form 'transit_hour="4"' \
  --form 'transit_min="56"' \
  --form 'transit_sec="45"' \
  --form 'transit_lat="28.7041"' \
  --form 'transit_lon="77.1025"' \
  --form 'transit_tzone="5.5"' \
  --form 'transit_place="New Delhi, India"'
const FormData = require('form-data');
const axios = require('axios');

const form = new FormData();
form.append('api_key', 'Your API Key');
form.append('full_name', 'Rahul Kumar');
form.append('gender', 'male');
form.append('day', '3');
form.append('month', '11');
form.append('year', '2025');
form.append('place', 'New Delhi, India');
form.append('lat', '28.7041');
form.append('lon', '77.1025');
form.append('tzone', '5.5');
form.append('hour', '4');
form.append('min', '47');
form.append('sec', '56');
form.append('transit_day', '5');
form.append('transit_month', '8');
form.append('transit_year', '2021');
form.append('transit_hour', '4');
form.append('transit_min', '56');
form.append('transit_sec', '45');
form.append('transit_lat', '28.7041');
form.append('transit_lon', '77.1025');
form.append('transit_tzone', '5.5');
form.append('transit_place', 'New Delhi, India');

const response = await axios.post('https://astroapi-4.divineapi.com/western-api/v1/transit/house', form, {
  headers: {
    ...form.getHeaders(),
    'Authorization': 'Bearer {token}',
  }
});

console.log(response.data);
import requests

url = "https://astroapi-4.divineapi.com/western-api/v1/transit/house"
headers = {
    "Authorization": "Bearer {token}",
}
payload = {
    "api_key": "Your API Key",
    "full_name": "Rahul Kumar",
    "gender": "male",
    "day": "3",
    "month": "11",
    "year": "2025",
    "place": "New Delhi, India",
    "lat": "28.7041",
    "lon": "77.1025",
    "tzone": "5.5",
    "hour": "4",
    "min": "47",
    "sec": "56",
    "transit_day": "5",
    "transit_month": "8",
    "transit_year": "2021",
    "transit_hour": "4",
    "transit_min": "56",
    "transit_sec": "45",
    "transit_lat": "28.7041",
    "transit_lon": "77.1025",
    "transit_tzone": "5.5",
    "transit_place": "New Delhi, India",
}

response = requests.post(url, headers=headers, data=payload)

print(response.json())
const formData = new FormData();
formData.append('api_key', 'Your API Key');
formData.append('full_name', 'Rahul Kumar');
formData.append('gender', 'male');
formData.append('day', '3');
formData.append('month', '11');
formData.append('year', '2025');
formData.append('place', 'New Delhi, India');
formData.append('lat', '28.7041');
formData.append('lon', '77.1025');
formData.append('tzone', '5.5');
formData.append('hour', '4');
formData.append('min', '47');
formData.append('sec', '56');
formData.append('transit_day', '5');
formData.append('transit_month', '8');
formData.append('transit_year', '2021');
formData.append('transit_hour', '4');
formData.append('transit_min', '56');
formData.append('transit_sec', '45');
formData.append('transit_lat', '28.7041');
formData.append('transit_lon', '77.1025');
formData.append('transit_tzone', '5.5');
formData.append('transit_place', 'New Delhi, India');

const response = await fetch('https://astroapi-4.divineapi.com/western-api/v1/transit/house', {
  method: 'POST',
  headers: {
      'Authorization': "Bearer {token}",
    },
  body: formData,
});

const data = await response.json();
console.log(data);
<?php

use GuzzleHttp\Client;

$client = new Client();

$response = $client->request('POST', 'https://astroapi-4.divineapi.com/western-api/v1/transit/house', [
    'headers' => [
        'Authorization' => 'Bearer {token}',
    ],
    'multipart' => [
        ['name' => 'api_key', 'contents' => 'Your API Key'],
        ['name' => 'full_name', 'contents' => 'Rahul Kumar'],
        ['name' => 'gender', 'contents' => 'male'],
        ['name' => 'day', 'contents' => '3'],
        ['name' => 'month', 'contents' => '11'],
        ['name' => 'year', 'contents' => '2025'],
        ['name' => 'place', 'contents' => 'New Delhi, India'],
        ['name' => 'lat', 'contents' => '28.7041'],
        ['name' => 'lon', 'contents' => '77.1025'],
        ['name' => 'tzone', 'contents' => '5.5'],
        ['name' => 'hour', 'contents' => '4'],
        ['name' => 'min', 'contents' => '47'],
        ['name' => 'sec', 'contents' => '56'],
        ['name' => 'transit_day', 'contents' => '5'],
        ['name' => 'transit_month', 'contents' => '8'],
        ['name' => 'transit_year', 'contents' => '2021'],
        ['name' => 'transit_hour', 'contents' => '4'],
        ['name' => 'transit_min', 'contents' => '56'],
        ['name' => 'transit_sec', 'contents' => '45'],
        ['name' => 'transit_lat', 'contents' => '28.7041'],
        ['name' => 'transit_lon', 'contents' => '77.1025'],
        ['name' => 'transit_tzone', 'contents' => '5.5'],
        ['name' => 'transit_place', 'contents' => 'New Delhi, India'],
    ],
]);

echo $response->getBody();
package main

import (
    "bytes"
    "fmt"
    "mime/multipart"
    "net/http"
    "io"
)

func main() {
    body := &bytes.Buffer{}
    writer := multipart.NewWriter(body)
    writer.WriteField("api_key", "Your API Key")
    writer.WriteField("full_name", "Rahul Kumar")
    writer.WriteField("gender", "male")
    writer.WriteField("day", "3")
    writer.WriteField("month", "11")
    writer.WriteField("year", "2025")
    writer.WriteField("place", "New Delhi, India")
    writer.WriteField("lat", "28.7041")
    writer.WriteField("lon", "77.1025")
    writer.WriteField("tzone", "5.5")
    writer.WriteField("hour", "4")
    writer.WriteField("min", "47")
    writer.WriteField("sec", "56")
    writer.WriteField("transit_day", "5")
    writer.WriteField("transit_month", "8")
    writer.WriteField("transit_year", "2021")
    writer.WriteField("transit_hour", "4")
    writer.WriteField("transit_min", "56")
    writer.WriteField("transit_sec", "45")
    writer.WriteField("transit_lat", "28.7041")
    writer.WriteField("transit_lon", "77.1025")
    writer.WriteField("transit_tzone", "5.5")
    writer.WriteField("transit_place", "New Delhi, India")
    writer.Close()

    req, _ := http.NewRequest("POST", "https://astroapi-4.divineapi.com/western-api/v1/transit/house", body)
    req.Header.Set("Content-Type", writer.FormDataContentType())
    req.Header.Set("Authorization", "Bearer {token}")

    client := &http.Client{}
    resp, _ := client.Do(req)
    defer resp.Body.Close()

    body2, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body2))
}
import okhttp3.*;
import java.io.IOException;

public class Main {
    public static void main(String[] args) throws IOException {
        OkHttpClient client = new OkHttpClient();

        RequestBody body = new MultipartBody.Builder()
            .setType(MultipartBody.FORM)
            .addFormDataPart("api_key", "Your API Key")
            .addFormDataPart("full_name", "Rahul Kumar")
            .addFormDataPart("gender", "male")
            .addFormDataPart("day", "3")
            .addFormDataPart("month", "11")
            .addFormDataPart("year", "2025")
            .addFormDataPart("place", "New Delhi, India")
            .addFormDataPart("lat", "28.7041")
            .addFormDataPart("lon", "77.1025")
            .addFormDataPart("tzone", "5.5")
            .addFormDataPart("hour", "4")
            .addFormDataPart("min", "47")
            .addFormDataPart("sec", "56")
            .addFormDataPart("transit_day", "5")
            .addFormDataPart("transit_month", "8")
            .addFormDataPart("transit_year", "2021")
            .addFormDataPart("transit_hour", "4")
            .addFormDataPart("transit_min", "56")
            .addFormDataPart("transit_sec", "45")
            .addFormDataPart("transit_lat", "28.7041")
            .addFormDataPart("transit_lon", "77.1025")
            .addFormDataPart("transit_tzone", "5.5")
            .addFormDataPart("transit_place", "New Delhi, India")
            .build();

        Request request = new Request.Builder()
            .url("https://astroapi-4.divineapi.com/western-api/v1/transit/house")
            .post(body)
            .addHeader("Authorization", "Bearer {token}")
            .build();

        Response response = client.newCall(request).execute();
        System.out.println(response.body().string());
    }
}
import Foundation

let url = URL(string: "https://astroapi-4.divineapi.com/western-api/v1/transit/house")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer {token}", forHTTPHeaderField: "Authorization")

let boundary = "Boundary-\(UUID().uuidString)"
request.setValue("multipart/form-data; boundary=\(boundary)", forHTTPHeaderField: "Content-Type")

var bodyData = Data()
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"api_key\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Your API Key\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"full_name\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("Rahul Kumar\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"gender\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("male\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("3\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("11\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("2025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi, India\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("4\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("47\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("56\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_day\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_month\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("8\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_year\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("2021\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_hour\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("4\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_min\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("56\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_sec\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("45\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_lat\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("28.7041\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_lon\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("77.1025\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_tzone\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("5.5\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)\r\n".data(using: .utf8)!)
bodyData.append("Content-Disposition: form-data; name=\"transit_place\"\r\n\r\n".data(using: .utf8)!)
bodyData.append("New Delhi, India\r\n".data(using: .utf8)!)
bodyData.append("--\(boundary)--\r\n".data(using: .utf8)!)
request.httpBody = bodyData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
    if let data = data {
        print(String(data: data, encoding: .utf8) ?? "")
    }
}
task.resume()
import okhttp3.*

fun main() {
    val client = OkHttpClient()

    val body = MultipartBody.Builder()
        .setType(MultipartBody.FORM)
        .addFormDataPart("api_key", "Your API Key")
        .addFormDataPart("full_name", "Rahul Kumar")
        .addFormDataPart("gender", "male")
        .addFormDataPart("day", "3")
        .addFormDataPart("month", "11")
        .addFormDataPart("year", "2025")
        .addFormDataPart("place", "New Delhi, India")
        .addFormDataPart("lat", "28.7041")
        .addFormDataPart("lon", "77.1025")
        .addFormDataPart("tzone", "5.5")
        .addFormDataPart("hour", "4")
        .addFormDataPart("min", "47")
        .addFormDataPart("sec", "56")
        .addFormDataPart("transit_day", "5")
        .addFormDataPart("transit_month", "8")
        .addFormDataPart("transit_year", "2021")
        .addFormDataPart("transit_hour", "4")
        .addFormDataPart("transit_min", "56")
        .addFormDataPart("transit_sec", "45")
        .addFormDataPart("transit_lat", "28.7041")
        .addFormDataPart("transit_lon", "77.1025")
        .addFormDataPart("transit_tzone", "5.5")
        .addFormDataPart("transit_place", "New Delhi, India")
        .build()

    val request = Request.Builder()
        .url("https://astroapi-4.divineapi.com/western-api/v1/transit/house")
        .post(body!!)
        .addHeader("Authorization", "Bearer {token}")
        .build()

    client.newCall(request).execute().use { response ->
        println(response.body?.string())
    }
}
using System;
using System.Net.Http;
using System.Threading.Tasks;

class Program {
    static async Task Main() {
        using var client = new HttpClient();
        client.DefaultRequestHeaders.Add("Authorization", "Bearer {token}");

        var content = new MultipartFormDataContent();
        content.Add(new StringContent("Your API Key"), "api_key");
        content.Add(new StringContent("Rahul Kumar"), "full_name");
        content.Add(new StringContent("male"), "gender");
        content.Add(new StringContent("3"), "day");
        content.Add(new StringContent("11"), "month");
        content.Add(new StringContent("2025"), "year");
        content.Add(new StringContent("New Delhi, India"), "place");
        content.Add(new StringContent("28.7041"), "lat");
        content.Add(new StringContent("77.1025"), "lon");
        content.Add(new StringContent("5.5"), "tzone");
        content.Add(new StringContent("4"), "hour");
        content.Add(new StringContent("47"), "min");
        content.Add(new StringContent("56"), "sec");
        content.Add(new StringContent("5"), "transit_day");
        content.Add(new StringContent("8"), "transit_month");
        content.Add(new StringContent("2021"), "transit_year");
        content.Add(new StringContent("4"), "transit_hour");
        content.Add(new StringContent("56"), "transit_min");
        content.Add(new StringContent("45"), "transit_sec");
        content.Add(new StringContent("28.7041"), "transit_lat");
        content.Add(new StringContent("77.1025"), "transit_lon");
        content.Add(new StringContent("5.5"), "transit_tzone");
        content.Add(new StringContent("New Delhi, India"), "transit_place");

        var response = await client.PostAsync("https://astroapi-4.divineapi.com/western-api/v1/transit/house", content);
        var result = await response.Content.ReadAsStringAsync();
        Console.WriteLine(result);
    }
}